{"openapi":"3.0.1","info":{"title":"5BTIS","description":"API","version":"3"},"servers":[{"url":"https://sandbox-tis.5b.com.gt:44345"}],"paths":{"/api/v3/checkEligibility":{"post":{"description":"Auto generated using Swagger Inspector","parameters":[{"name":"Accept-Charset","in":"header","schema":{"type":"string"},"example":"utf-8"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"walletID":{"type":"string"},"encryptedCardInfo":{"type":"object","properties":{"MACLength":{"type":"integer"},"encryptedData":{"type":"string"},"iv":{"type":"string"},"algorithm":{"type":"string"}}},"source":{"type":"string"},"recommendedDecision":{"type":"string"},"vaultIdentification":{"type":"string"},"tokenRequestorID":{"type":"string"},"userLanguage":{"type":"string"},"PANRefID":{"type":"string"},"riskInformation":{"type":"object","properties":{"deviceScore":{"type":"string"},"accountScore":{"type":"string"},"recommendedDecision":{"type":"string"}}},"institutionCode":{"type":"string"},"processID":{"type":"string"},"requestID":{"type":"string"},"tokenRefID":{"type":"string"},"tokenType":{"type":"string"},"tokenRequestorName":{"type":"string"}}},"examples":{"0":{"value":"{\r\n    \"requestID\": \"TSP2516910648623\",\r\n    \"institutionCode\": \"BANRURAL-016\",\r\n    \"vaultIdentification\": \"VTS\",\r\n    \"walletID\": \"8I1T-3KOA-OMK6-RVIU\",\r\n    \"tokenRequestorID\": \"22079756210\",\r\n    \"tokenRefID\": \"DNITHE322399737810812600\",\r\n    \"PANRefID\": \"V-8795114084459997786074\",\r\n    \"encryptedCardInfo\": {\r\n        \"algorithm\": \"aes-gcm256\",\r\n        \"iv\": \"329B7CDFD3BFA70ACF37C11B526C4080\",\r\n        \"encryptedData\": \"SeWVOXd+qa6DanmMcDxvP5qVJKPtiwRLA6QvI8AQtlixHoAIhqlTnvsssFOjK/E4gaEPc1yz/7O5oezHn941CONWeeVrZcpxoCvLxZxZz3+hM7Aglo8xFG0M1SdO4WPAKI+FQqRuKNDg63JMyvrxl6hyXfNy6fTEzc3crkx8wOkOjWY1pYI23/+eY6cH\",\r\n        \"MACLength\": 16\r\n    },\r\n    \"processID\": \"zxouf4na3-ahu3-fnim-upvk-nxysexm19g6i\",\r\n    \"userLanguage\": \"eng\",\r\n    \"source\": \"MOBILE_APP\",\r\n    \"riskInformation\": {\r\n        \"recommendedDecision\": \"YELLOW\",\r\n        \"deviceScore\": \"2\",\r\n        \"accountScore\": \"2\"\r\n    },\r\n    \"tokenType\": \"HCE\",\r\n    \"tokenRequestorName\": \"HSTPayWallet\",\r\n    \"recommendedDecision\": \"YELLOW\"\r\n}"}}}}},"responses":{"200":{"description":"Auto generated using Swagger Inspector","content":{"application/json; charset=utf-8":{"schema":{"type":"string"},"examples":{}}}}},"servers":[{"url":"https://sandbox-tis.5b.com.gt:44345"}]},"servers":[{"url":"https://sandbox-tis.5b.com.gt:44345"}]}},"components":{"schemas":{"Schema":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}}}}}}